<h6>Create Todo:</h6>
<form (ngSubmit)="onSubmit(); todoForm.reset({priority: 'low', isCompleted: false})" #todoForm="ngForm">
  <div class="form-row">
    <div class="col-auto">
      <input type="text" class="form-control" placeholder="Description" id="description" 
        [(ngModel)]="model.description" name="description" #description="ngModel">
    </div>
    <div class="col-auto">
      <input type="text" class="form-control" placeholder="Responsible" id="responsible" 
        [(ngModel)]="model.responsible" name="responsible" #responsible="ngModel">
    </div>
    <div class="col-auto">
      <select name="priority" id="priority" class="form-control" 
      [(ngModel)]="model.priority"
      #priority="ngModel">
        <option value="low">Low</option>
        <option value="medium">Medium</option>
        <option value="high">High</option>
      </select>
    </div>
    <div class="col-auto">
      <button type="submit" class="btn btn-primary">Create</button>
    </div>
  </div>
</form>

<br>

<h6>Todos List</h6>
<div *ngIf="(todos | async)?.length!=0">
  <table class="table">
    <thead class="thead-inverse">
      <tr>
        <th>#</th>
        <th>Description</th>
        <th>Responsible</th>
        <th>Priority</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let t of todos | async">
        <td><span (click)="toggleTodo(t)" [class.completed]="t.isCompleted">{{t.id}}</span></td>
        <td><span (click)="toggleTodo(t)" [class.completed]="t.isCompleted">{{t.description}}</span></td>
        <td><span>{{t.responsible}}</span></td>
        <td>
          <span *ngIf="t.priority == 'low'" class="badge badge-success">{{t.priority}}</span>
          <span *ngIf="t.priority == 'medium'" class="badge badge-warning">{{t.priority}}</span>
          <span *ngIf="t.priority == 'high'" class="badge badge-danger">{{t.priority}}</span>
        </td>
        <td><button class="btn btn-danger" (click)="removeTodo(t)">Delete</button></td>
      </tr>
    </tbody>
  </table>
</div>